<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/invoices/Dt_InboundOrder.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend">
    </view-grid>
</template>
<script>
import extend from "@/extension/widesea_wms/stock/Dt_ZdpStock_hty.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'zdp_ID',
            footer: "Foots",
            cnName: '制动盘库存历史信息',
            name: 'stock/Dt_ZdpStock_hty',
            url: "/Dt_ZdpStock_hty/",
            sortName: "zdp_ID"
        });
        const editFormFields = ref({
            
        });
        const editFormOptions = ref([
            
        ]);
        const searchFormFields = ref({
            //Zdp_ZPH: ""

        });
        const searchFormOptions = ref([
            // [
            //     { "title": "制动盘号", "field": "Zdp_ZPH", type: "text" },
            // ],
            // [
            // { "title": "生产产线", "field": "productionLine", type: "select", dataKey: "ProductionLine", data: [] },Zdp_code

            // ]
        ]);
        const columns = ref([
            { field: 'zdp_ID', title: '主键ID', type: 'int', width: 110, readonly: true, hidden: true, require: true, align: 'left' },
            { field: 'zdp_code', title: '制动盘条码', type: 'string', width: 110, align: 'left', require: true },
            { field: 'zdp_ZPH', title: '制动盘号', type: 'string', width: 110, align: 'left', require: true },
            { field: 'zdp_CurrentStatue', title: '状态', type: 'int', width: 110, align: 'left', bind: { key: "CurrentStatue", data: [] } },
            { field: 'zdp_Location', title: '库位', type: 'string', width: 110, align: 'left', require: true },
            { field: 'zdp_chexing', title: '车型', type: 'string', width: 70, align: 'left' },
            { field: 'zdp_neworold', title: '新旧', type: 'string', width: 100, align: 'left' },
            { field: 'zdp_POS', title: '位置(侧/中)', type: 'string', width: 100, align: 'left' },
            { field: 'zdp_LSXH', title: '螺栓型号', type: 'string', width: 100, align: 'left' },
            { field: 'zdp_MAT', title: '材质(铸钢)', type: 'string', width: 100, align: 'left' },
            { field: 'zdp_SITE', title: '产地(进口/国产)', type: 'string', width: 100, align: 'left' },
            { field: 'zdp_GKA1', title: '毂孔直径A1', type: 'string', width: 100, align: 'left' },
            { field: 'zdp_GKA2', title: '毂孔直径A2', type: 'string', width: 100, align: 'left' },
            { field: 'zdp_GKA3', title: '毂孔直径A3', type: 'string', width: 100, align: 'left' },
            { field: 'zdp_GKA', title: '毂孔直径A', type: 'string', width: 100, align: 'left' },
            { field: 'zdp_GKB1', title: '毂孔直径B1', type: 'string', width: 100, align: 'left' },
            { field: 'zdp_GKB2', title: '毂孔直径B2', type: 'string', width: 100, align: 'left' },
            { field: 'zdp_GKB3', title: '毂孔直径B3', type: 'string', width: 100, align: 'left' },
            { field: 'zdp_GKB', title: '毂孔直径B', type: 'string', width: 100, align: 'left' },
            { field: 'zdp_GKC1', title: '毂孔直径C1', type: 'string', width: 100, align: 'left' },
            { field: 'zdp_GKC2', title: '毂孔直径C2', type: 'string', width: 100, align: 'left' },
            { field: 'zdp_GKC3', title: '毂孔直径C3', type: 'string', width: 100, align: 'left' },
            { field: 'zdp_GKC', title: '毂孔直径C', type: 'string', width: 100, align: 'left' },
            { field: 'zdp_GKJZ', title: '毂孔直径', type: 'string', width: 100, align: 'left' },
            { field: 'zdp_LSCSYMH', title: '螺栓侧剩余磨耗', type: 'string', width: 120, align: 'left' },
            { field: 'zdp_LMCSYMH', title: '螺母侧剩余磨耗', type: 'string', width: 120, align: 'left' },
            { field: 'zdp_rksj', title: '入库日期', type: 'string', width: 100, align: 'left' },
            { field: 'creater', title: '创建时间', type: 'string',  width: 100, align: 'left' },
            { field: 'createDate', title: '创建时间', type: 'datetime', sort: true, width: 100, align: 'left' },
            { field: 'finishDate', title: '完成时间', type: 'datetime', sort: true, width: 100, align: 'left' },
            { field: 'operateType', title: '完成方式', type: 'int', width: 100, align: 'left',bind: { key: "OperateType", data: [] } }
        ]);

        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
